libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::Config::DataSourceInfoTraits Struct Reference

List of all members.

## Public Types

typedef Gnome::Gda::DataSourceInfo | CppType
typedef const GdaDataSourceInfo* | CType
typedef GdaDataSourceInfo* | CTypeNonConst

## Static Public Member Functions

static void | release_c_type (CType ptr)
static CType | to_c_type (CType ptr)
static CType | to_c_type (const CppType& obj)
static CppType | to_cpp_type (CType ptr)

## Member Typedef Documentation

typedef Gnome::Gda::DataSourceInfo Gnome::Gda::Config::DataSourceInfoTraits::CppType

typedef const GdaDataSourceInfo* Gnome::Gda::Config::DataSourceInfoTraits::CType

typedef GdaDataSourceInfo* Gnome::Gda::Config::DataSourceInfoTraits::CTypeNonConst

## Member Function Documentation

static void Gnome::Gda::Config::DataSourceInfoTraits::release_c_type | ( | CType | ptr | ) | `[static]`

static CType Gnome::Gda::Config::DataSourceInfoTraits::to_c_type | ( | CType | ptr | ) | `[inline, static]`

static CType Gnome::Gda::Config::DataSourceInfoTraits::to_c_type | ( | const CppType& | obj | ) | `[inline, static]`

static CppType Gnome::Gda::Config::DataSourceInfoTraits::to_cpp_type | ( | CType | ptr | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- config.h